### Class

# Clutter KeyController

#### Description

    final class Clutter.KeyController : Clutter.Action
    {
      /* No available fields */
    }

No description available.

#### Hierarchy

#### Ancestors

- ClutterAction
- ClutterActorMeta
- GInitiallyUnowned
- GObject

#### Constructors

###### clutter_key_controller_new

Returns a newly created key controller. The `input_focus` argument should be set to the actor’s `ClutterInputFocus` if the actor is meant to handle textual input.

#### Instance methods

###### clutter_key_controller_get_key

Should be called within a `ClutterKeyController::key-press` or `ClutterKeyController::key-release` signals to retrieve a meaningful state. `FALSE` will be returned otherwise.

###### clutter_key_controller_get_state

Should be called within a `ClutterKeyController::key-press`, `ClutterKeyController::key-release` or `ClutterKeyController::modifier-change` signals to retrieve a meaningful state. `FALSE` will be returned otherwise.

###### clutter_key_controller_get_trigger_keybindings

Gets whether the key controller handles the triggering of keybinding signals, as set on the actor through `ClutterBindingPool`.

###### clutter_key_controller_set_trigger_keybindings

Sets whether the key controller will handle the triggering of keybinding signals, as set on the actor through `ClutterBindingPool`.

##### Methods inherited from ClutterAction (1)

###### clutter_action_get_phase

No description available.

##### Methods inherited from ClutterActorMeta (5)

###### clutter_actor_meta_get_actor

Retrieves a pointer to the `ClutterActor` that owns `meta`.

###### clutter_actor_meta_get_enabled

Retrieves whether `meta` is enabled.

###### clutter_actor_meta_get_name

Retrieves the name set using `clutter_actor_meta_set_name()`.

###### clutter_actor_meta_set_enabled

Sets whether `meta` should be enabled or not.

###### clutter_actor_meta_set_name

Sets the name of `meta`.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Clutter.KeyController:im-focus

The delegate for input method handling of the actor.

###### Clutter.KeyController:trigger-keybindings

Whether the controller handles keybindings set on the actor through `ClutterBindingPool`.

##### Properties inherited from ClutterActorMeta (3)

###### Clutter.ActorMeta:actor

The `ClutterActor` attached to the `ClutterActorMeta` instance.

###### Clutter.ActorMeta:enabled

Whether or not the `ClutterActorMeta` is enabled.

###### Clutter.ActorMeta:name

The unique name to access the `ClutterActorMeta`.

#### Signals

###### Clutter.KeyController::key-press

Emitted when the controller handles a key press.

###### Clutter.KeyController::key-release

Emitted when the controller handles a key release.

###### Clutter.KeyController::modifier-change

Emitted when the effective set of keyboard modifiers changes.

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct ClutterKeyControllerClass {
      ClutterActionClass parent_class;

    }

No description available.

###### Class members

`parent_class: ClutterActionClass`

  No description available.